function [ NI_BP Param ] = CreateLVDs( NI_BP, Param )
%UNTITLED4 Summary of this function goes here
%   Detailed explanation goes here
for ScanDes_t = 1:length(Param.scanrateDesired)
  %rescale data array if needed
  if Param.scanrateDesired(ScanDes_t)==Param.scanrateMax
    XData = NI_BP.Data; %no scaling  
  else
    N=floor(size(NI_BP.Data,1)*Param.scanrateDesired(ScanDes_t)/Param.scanrateMax);
    NCh = size(NI_BP.Data,2);
    XData = zeros(N,NCh,'int16');
    for Ch = 1:(NCh-4)
      XData(:,Ch)=int16(interpft(single(NI_BP.Data(:,Ch)),N,1));    %1st dimension
    end
    for Ch = (NCh-3):NCh
      XData(:,Ch)=int16(interpft(single(NI_BP.Data(:,Ch)),N,1)>0.5);
    end
  end    
  
  for SSel_t = 1:length(Param.SongSelection)
  %create header array
  Header = zeros(4,1);
  Header(1) = Param.scanrateDesired(ScanDes_t);
  nchannels = size(NI_BP.Data,2);
  Header(2) = nchannels;    %5 or 6 - old, 6 or 7 now
  %Header(3) - file start time, put for each file its own start
  %InputRange = 64/10.1; %for bakpack, for NI - 5 - will be approximate
  %changed to defauil NI - 5V, for compatibility
  Header(4) = Param.InputRange;    %
  
  %make directories for output files
  mkdir(Param.DestinationDir{SSel_t,ScanDes_t});
  MyDirMeta = [Param.DestinationDir{SSel_t,ScanDes_t} filesep 'Meta'];
  mkdir(MyDirMeta);
  if exist(Param.SettingsDir,'dir')==0  %create if not exists
    mkdir(Param.SettingsDir); %this direcory should be filled manually by copying of settings file
  end
  
  Directory = Param.DestinationDir{SSel_t,ScanDes_t};
  AnimalName = Param.AnimalName;
  StartStop = NI_BP.StartStop{SSel_t,ScanDes_t};
  for I_t = 1:NI_BP.Fcount(SSel_t,ScanDes_t)
    StartNumber = Param.LastOutputLVDNumber+I_t;
    DT = Param.SynchronizationTime+StartStop(I_t,1)/(Param.scanrateDesired(ScanDes_t)*3600*24);
    DateString1 = datestr(DT,'yyyymmddHHMMSS.FFF');
    Header(3) = str2double(DateString1);
    Data = XData(StartStop(I_t,1):StartStop(I_t,2),:);
    CreateLVD(Directory,AnimalName,StartNumber,DT,Header,Data);  
  end
  
  end
end  
end

